Constants (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.naming.factory, class: Constants

# Class Constants

java.lang.Object
org.apache.naming.factory.Constants

public final class Constants extends Object
Static constants for this package.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DBCP_DATASOURCE_FACTORY`
  `static final String`
  `DEFAULT_EJB_FACTORY`
  `static final String`
  `DEFAULT_HANDLER_FACTORY`
  `static final String`
  `DEFAULT_LOOKUP_JNDI_FACTORY`
  `static final String`
  `DEFAULT_RESOURCE_ENV_FACTORY`
  `static final String`
  `DEFAULT_RESOURCE_FACTORY`
  `static final String`
  `DEFAULT_RESOURCE_LINK_FACTORY`
  `static final String`
  `DEFAULT_SERVICE_FACTORY`
  `static final String`
  `DEFAULT_TRANSACTION_FACTORY`
  `static final String`
  `FACTORY`
  `static final String`
  `OPENEJB_EJB_FACTORY`
  `static final String`
  `Package`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESOURCE_FACTORY

    public static final String DEFAULT_RESOURCE_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESOURCE_LINK_FACTORY

    public static final String DEFAULT_RESOURCE_LINK_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_TRANSACTION_FACTORY

    public static final String DEFAULT_TRANSACTION_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESOURCE_ENV_FACTORY

    public static final String DEFAULT_RESOURCE_ENV_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_EJB_FACTORY

    public static final String DEFAULT_EJB_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_SERVICE_FACTORY

    public static final String DEFAULT_SERVICE_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_HANDLER_FACTORY

    public static final String DEFAULT_HANDLER_FACTORY
    See Also:
      - Constant Field Values

  - ### DBCP_DATASOURCE_FACTORY

    public static final String DBCP_DATASOURCE_FACTORY
    See Also:
      - Constant Field Values

  - ### OPENEJB_EJB_FACTORY

    public static final String OPENEJB_EJB_FACTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_LOOKUP_JNDI_FACTORY

    public static final String DEFAULT_LOOKUP_JNDI_FACTORY
    See Also:
      - Constant Field Values

  - ### FACTORY

    public static final String FACTORY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()